From d05dcb152d657f451f11714e6414109de8a54821 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Apr 24 2026 15:34:33 +0000
Subject: F-44: Update for stable


Generated-by: Claude Code
Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index 0655d5c..0984a9c 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -215,10 +215,10 @@ imagebuilder = {
         "name": "%s-raw" % release_name,
         "types": ["iot-raw-xz"],
         "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-44/compose/Everything/$arch/os/"],
+        "repos": ["https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$arch/os/"],
         "ostree": {
            "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-           "ref": "fedora/devel/$arch/iot",
+           "ref": "fedora/stable/$arch/iot",
         },
         "subvariant": "IoT",
         "failable": ["*"],
@@ -227,10 +227,10 @@ imagebuilder = {
         "name": "%s-ostree" % release_name,
         "types": ["iot-installer"],
         "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-44/compose/Everything/$arch/os/"],
+        "repos": ["https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$arch/os/"],
         "ostree": {
            "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-           "ref": "fedora/devel/$arch/iot",
+           "ref": "fedora/stable/$arch/iot",
         },
         "subvariant": "IoT",
         "manifest_type": "dvd-ostree",
@@ -240,10 +240,10 @@ imagebuilder = {
         "name": "%s-provisioner" % release_name,
         "types": ["iot-simplified-installer"],
         "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-44/compose/Everything/$arch/os/"],
+        "repos": ["https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$arch/os/"],
         "ostree": {
            "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-           "ref": "fedora/devel/$arch/iot",
+           "ref": "fedora/stable/$arch/iot",
         },
         "blueprint": {
             "customizations": {
@@ -267,11 +267,11 @@ ostree = {
             "config_branch": "f44",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-44/compose/Everything/$basearch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$basearch/os/"
             ]
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/devel/${basearch}/iot",
+            "ostree_ref": "fedora/stable/${basearch}/iot",
             "runroot_packages": ["selinux-policy-targeted"],
             "arches": ["x86_64", "aarch64"],
             "update_summary": True,
@@ -285,7 +285,7 @@ ostree_container = {
             "config_url": "https://pagure.io/fedora-iot/base-images",
             "config_branch": "main",
             "treefile": "fedora-44.yaml",
-            "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-44/compose/Everything/$basearch/os/"],
+            "repo": ["https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$basearch/os/"],
             "arches": ["x86_64", "aarch64", "ppc64le", "s390x"],
             "failable": ['*'],
             "subvariant": "base",
@@ -296,7 +296,7 @@ ostree_container = {
             "config_url": "https://pagure.io/fedora-iot/fedora-iot-bootc.git",
             "config_branch": "main",
             "treefile": "fedora-iot-44.yaml",
-            "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-44/compose/Everything/$basearch/os/"],
+            "repo": ["https://kojipkgs.fedoraproject.org/compose/44/Fedora-44-20260422.1/compose/Everything/$basearch/os/"],
             "arches": ["x86_64", "aarch64"],
             "failable": ['*'],
             "name": "Fedora-IoT-bootc",
diff --git a/sync-bootc-base-containers.sh b/sync-bootc-base-containers.sh
index 06ad1fc..21e1cde 100755
--- a/sync-bootc-base-containers.sh
+++ b/sync-bootc-base-containers.sh
@@ -47,7 +47,7 @@ arch_to_goarch() {
 
 # This is the release of Fedora that is currently stable, it will define if we
 # need to move the fedora:latest tag
-current_stable="43"
+current_stable="44"
 # Define what is rawhide so we know to push that tag
 current_rawhide="45"
 # Sanity checking

